/******************************************************************************
 *            echecs_deplacer_piece.h                                         *
 *                                                                            *
 *  Copyright  2006  gerald.dumas                                             *
 *  linechec@laposte.net                                                      *
 ******************************************************************************
 *                                                                            *
 *  This program is free software; you can redistribute it and/or modify      *
 *  it under the terms of the GNU General Public License as published by      *
 *  the Free Software Foundation; either version 2 of the License, or         *
 *  any later version.                                                        *
 *                                                                            *
 *  This program is distributed in the hope that it will be useful,           *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of            *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
 *  GNU General Public License for more details.                              *
 *                                                                            *
 *  You should have received a copy of the GNU General Public License         *
 *  along with this program; if not, write to the Free Software               *
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.*
 ******************************************************************************/

/* fichier entête : Renvoie vrai si la piece dans table_piece[pos_table_piece] à un coup jouable coup. Il n'est pas tenu compte des coups jouables avec une case occupée par une pièce amie */
#include "echecs_var.h"
#include "echecs_liste_chainee.h"
#include "echecs_coups_jouables.h"
#include "echecs_coups_cloues.h"
#include "g_interface.h"

#if !defined(DEPLACER_PIECE)
#define DEPLACER_PIECE

gboolean recherche_coup_dans_liste (GList * liste_coups_jouables,
				    gint couleur, gint position_piece,
				    gint coup);
extern gint deplacer_piece (GList * liste_coups_jouables,
			    type_piece piece_a_jouer,
			    gint coordonnee_echiquier);

#endif
