 /*
 * file      : src/main.c
 * project   : linechec
 * with      : Gtk-2
 *
 * copyright : (C) 2012 by BULIN Claude
 *
 * LINECHEC - INDIQUEZ ICI CE QUE FAIT LE PROGRAMME
 * GNU General Public License
 * 
 * This file is part of LINECHEC.
 * 
 * LINECHEC is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * at your option) any later version.
 * 
 * LINECHEC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with LINECHEC.  If not, see <http://www.gnu.org/licenses/>.
 */


#ifndef __global_h__
#define __global_h__ 1

#ifdef ENABLE_NLS
	#include <libintl.h>
	#define gettext_noop(x) (x)
	#define _(String) gettext (String)
#endif


/*
*---------------------------------------------------------------------------
* DEBUG
*---------------------------------------------------------------------------
*/
#define PRINTINT(str,num)	g_print ("%s = %d\n", str, num)
#define PRINTBOOL(str,bool)	g_print ("%s = %s\n", str, bool == TRUE ? "TRUE" : "FALSE")
#define PRINT_FUNC_LF()		g_print ("%s :: %s (line = %d) \n", __FILE__, __FUNCTION__, __LINE__)
#define PRINT(str)		g_print ("%s :: %s(line = %d)\n	%s\n", __FILE__, __FUNCTION__, __LINE__, str)


#endif

