/******************************************************************************
 *            g_creation_affich_coups.h                                       *
 *                                                                            *
 *  Copyright  2006  gerald.dumas                                             *
 *  linechec@laposte.net                                                      *
 ******************************************************************************
 *                                                                            *
 *  This program is free software; you can redistribute it and/or modify      *
 *  it under the terms of the GNU General Public License as published by      *
 *  the Free Software Foundation; either version 2 of the License, or         *
 *  any later version.                                                        *
 *                                                                            *
 *  This program is distributed in the hope that it will be useful,           *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of            *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
 *  GNU General Public License for more details.                              *
 *                                                                            *
 *  You should have received a copy of the GNU General Public License         *
 *  along with this program; if not, write to the Free Software               *
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.*
 ******************************************************************************/

/* fichier entête : création et affichage des coups joués */
#include "g_interface.h"
#include "echecs_liste_chainee.h"
#include "echecs_mis_en_echec.h"
#include "g_fcts_annexes.h"

#if !defined (CREATION_AFFICHE_COUP)
#define CREATION_AFFICHE_COUP

extern void gnavigation_debut_partie (GtkButton * bouton, gpointer donnee);
extern void gnavigation_recul (GtkButton * bouton, gpointer donnee);
extern void gnavigation_avance (GtkButton * bouton, gpointer donnee);
extern void gnavigation_dernier_coup (GtkButton * bouton, gpointer donnee);
extern gchar *creation_affich_coups (gchar piece, gint couleur,
				     gint position_initiale,
				     gint position_finale,
				     gint type_deplacement);

#endif
